Figure - 0 O Dev #110717
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O

0 MKO O FwO O RemoteControl O TC-RID: 1201-02060010 O O O O OO

2022-07-2517:15-CD FW-0O O

Status: 0 O Closed

Priority: Normal

Assignee: CDFW-0 0O

Category:

Target version: VX1_MCE_FSE_V2.0_20220930

Start date:

Due date:

% Done:
Estimated time:

2023-01-16

100%
0.00 hour
Subtasks:

00O Dev#115371: 0 MKO O FWO O RemoteControld O TC-RID: 1201-020600107 ...

00O Closed

History

#1 - 2022-07-25 19:46 - CD FW-0O O
- Assignee changed from CD FW-0O O toCD FW-0O O O

#2 - 2022-08-04 19:44 - CD FW-0O O

- Subject changed from 0 MKO 0O 0050 [0 RemoteControl] 0 TC-RID: 0301-02060010 O O 0 0O O O to 0 MKO O 0050 O RemoteControld 00 TC-RID:

1201-02060010 OO OO DO O

#3 - 2022-08-05 11:24 - CDFwW-0O O
- Assignee changed from CD FW-00 0 O to CD FW-0O O

#4 - 2022-09-08 08:32 - CD FW-0O O

- Subject changed from 0 MKO O 0050 O RemoteControlC) 0 TC-RID: 1201-02060010 0 0 0 O 0O O to O MKO O FWO O RemoteControlC) O TC-RID:

1201-02060010 0 00O OO

#5 - 2022-09-26 13:46 - CD FW-0 O

2025-07-04
https://thundersoft.feishu.cn/docs/doccno15mUUqtUaQl8hGaJlZOnc

- Target version set to VX1_MCE_FSE_V2.0_20220930
#6 - 2022-09-26 20:28 - CD FW-0 O

- Status changed from New to O O Closed
- % Done changed from 0 to 100

goooooooooooooooo

#7 - 2022-12-22 20:19 - CD FW-0 O
Gerrit Merge Information(]

1D Project

Branch

Uploader

138837 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangwei0629@thundersoft.com

1cad77d535a40ec30b7212889a711b9190875¢c556

AF:RemoteControl:add service codel. first add project codeTC-RID: 0300-0300501IssuelD: TS-R-DF-110717Change-Id:

#8 - 2022-12-22 20:19 - CD FW-0O O

Gerrit Merge Information(]

1D Project

Branch

Uploader

139462 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

hao.liu_d@thundersoft.com

AF:RemoteControl:Support compilation under source codel. Support compilation under source code2. Delete some useless codesTC-RID:
0300-02060011ssuelD: TS-R-DF-110717Change-Id: 1fe590c0ba6ec5396742496763bd13234763790cf

#9 - 2022-12-22 20:19 - CD FW-0 O

Gerrit Merge Informationd

1D Project

Branch

Uploader

139651 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl:Modify server code.1. Remote key command done.2. Add Applist and Applaunch command.3. Add QuickSettingList and QuickSettingClick
command.4. Optimize code structure. TC-RID: 0301-0206001IssuelD: TS-R-DF-110717Change-1d: 1ef095721dc90dd35e11c88d2c3e04604cee0103f

2025-07-04
#10 - 2022-12-22 20:20 - CD FW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

140503

general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Controll1. Optimize socket server structure;2. Complete applist info and launch;3. Delete unused class and function; TC-RID:
0301-0206001IssuelD: TS-R-DF-110717Change-1d: 114b63496bb28283f3d443ce09b3578392a66c887

#11-2022-12-22 20:21 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

140900

general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Servicel. Modify socket message structure, support large data transform;2. Support app icon transform;3. Complete QuickSetting List &
Action command function; TC-RID: 0301-02060011ssuelD: TS-R-DF-110717Change-Id: 19ec91242f1e7a8d087adee55b1e0c161076d9ed5

#12 - 2022-12-22 20:21 - CD Fw-0O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

140976

general/platform/vendor/qcom/kona

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangwei0629@thundersoft.com

AF:SystemProperties: Modify the Icd density through systempropertyl.Modify the lcd density through systemproperty TC-RID: 1201-0202001lssuelD:
TS-R-DF-110717Change-Id: 121284a3c03c65dbf81e89a4612ac6ffb3cleb260

#13 - 2022-12-22 20:21 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

141006

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-04

AF:RemoteControl: ServiceAdd get QSTile list and QSTile switch functionTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-Id:

3/13




126290c958af551edc9dd6384a20ac78abal6ece?

#14 - 2022-12-22 20:22 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

141482

general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Servicel. Fix app icon transfer problem;2. Add app icon transfer interface;3. Support get app list without app icon;4. Start control service with
device real ip address;5. Support get quick setting icon; TC-RID: 1201-02060011ssuelD: TS-R-DF-110717Change-Id:
1522a3fc07ba51aada73034bf9344eaae20b7ce09

#15 - 2022-12-22 20:22 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

141547

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: ServiceSupport get quick setting icon; TC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-I1d:
1d550597486689ed935803553da6c46¢c51fbbel8

#16 - 2022-12-22 20:22 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

142062

general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Server mouse controll. Add mouse control function;2. Remove code not used; TC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-Id:
137c03da02e8a67ece49e699e6eal9f515de43344

#17 - 2022-12-22 20:23 - CD FwW-O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

142141

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

2025-07-04
FW:RemoteControl: Add module into systemAdd RemoteControl module into systemTC-RID: 1201-02060011ssuel D: TS-R-DF-110717Change-1d:
18717ef01c5ae886a001e1a3c46e3f107b268aa79

#18 - 2022-12-22 20:23 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
142650 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
-dev

AF:RemoteControl: Server - Add RemoteControlService to startup. TC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-Id:
1a84187cdddala2600b998752ba5ef7cae420513b

#19 - 2022-12-22 20:23 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
142740 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Service - Remove activity and launcher icon, remove resources files. TC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-1d:
1c3565e1d8b4ec0d60edf231d2344ab72ce0416d0

#20 - 2022-12-22 20:24 - CD FwW-O O
Gerrit Merge Information(]

1D Project Branch Uploader
142937 general/device/thundercomm/TCDEYV | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
-dev

FW:RemoteControl: Add libremoteservice into deviceAdd libremoteservice into deviceTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-Id:
1946883d47f9b1a921bb485fbdb173106902e9b6a

#21 - 2022-12-22 20:24 - CD FwW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
142938 general/platform/system/core Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
-dev

2025-07-04 5/13




AF:RemoteControl: Add permission for uinputl. Add permission for uinputTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-1d:
12ad6494836fd4a9d4738a0e5422199312ef00b11

#22 - 2022-12-22 20:25 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
143712 general/device/thundercomm/TCDEV | Pre_figure_turbox-c2130c-lal.1-gssi12 | shihao0506@thundersoft.com
-dev

AF:RemoteControl:add selinux permissionadd uhid_device write open ioctl permissionTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-1d:
124390cfccd2d5271803c370755aa18c69282e79%

#23 - 2022-12-22 20:26 - CDFW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
144626 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Service - Fix restart server logic problem.TC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-Id:
196f5856h4d63a5561960f4614396d2750355¢857

#24 - 2022-12-22 20:27 - CD Fw-0 O
Gerrit Merge Information(]

1D Project Branch Uploader
145012 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Service - Add swipe function. TC-RID: 1201-02060011ssuelD: TS-R-DF-110717Change-Id: Ibbf44e1356413a4e8829807h7c43aa0fe 7549492

#25 - 2022-12-22 20:28 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
145746 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Service - Rename NLog to TLog.TC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-I1d:
1f81524dbed4a7focd7ec2260fh9892cfIed973dc

#26 - 2022-12-22 20:37 - CD FwW-0 O
Gerrit Merge Information(

1D Project Branch Uploader
152193 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Service - Opt mouse control and swipe control request. TC-RID: 1201-02060011ssuelD: TS-R-DF-110717Change-1d:
1b2aa7ce817bbd11af7443ae929f8687c3ca88aab

#27 - 2022-12-29 15:54 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
172407 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Service - Allows listening on VLAN NICs1. Allows listening on VLAN NICs2.The swipe feature occasionally crashes issuesTC-RID:
1201-0206001IssuelD: TS-R-DF-110717Change-1d: 1e49d30404d66fe38cb15d092502f92dd1c1c3697

#28 - 2022-12-30 18:00 - IoT scm

Gerrit Merge Information(]

1D Project Branch Uploader
173087 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Service - Show volume when set volumeTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-I1d:
1327a9b9e92094b2c08b1b2615cfd21466eb861f2

#29 - 2023-02-01 20:52 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
178425 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Service - Add response response time testTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-1d:
1f43cbbb1db052ca60ac460ac2efbfcd02e5b6a70

#30 - 2023-02-22 17:49 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

183306 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com

2025-07-04 7/13




m/apps/RemoteControlServer

-dev

AF:RemoteControl: Server - Add Mouse Press move actionTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-I1d:
18a3f5chf891c0b89860824afff2836079ba41380

#31 - 2023-03-02 16:12 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

185190

general/platform/vendor/thundercom
m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Server - Add query screen status actionTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-1d:
1d93866a264d6edcfha3da209e88b11f434blaca3

#32 - 2023-03-09 15:14 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

185877

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Server - Add query point postion api into InputManagerTC-RID: 1201-0206001Issuel D: TS-R-DF-110717Change-I1d:
161335936914528509656afdadb0af3c860ch21fd

#33 - 2023-03-09 15:14 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

185947

general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Server - Add query muse point position actionTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-I1d:
13db7572b1f6a9f7fef4f500fc1641c7f9c0712a8

#34 - 2023-03-09 18:18 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

184846

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

2025-07-04

AF:RemoteControl: Server - Mouse view dismiss timeTC-RID: 1201-02060011ssuelD: TS-R-DF-110717Change-1d:
1a7058bb801234c5a34cd767f505a40310d7573bf

#35 - 2023-04-10 10:19 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

192233

general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Server - User mouse point as Swipe start pointTC-RID: 1201-0206001Issuel D: TS-R-DF-110717Change-1d:
12aeba63fcf7d3adeb2664b3d733918baed08e3c4

#36 - 2023-04-20 13:58 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

194839

general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Server - Improves heartbeat stabilityTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-I1d:
Ic474ace795c4182d39095275edc3d22031c6d449

#37 - 2023-04-20 13:58 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

194840

general/platform/vendor/thundercom
m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - Improves heartbeat stabilityTC-RID: 1201-0206002IssuelD: TS-R-DF-110717Change-1d:
1ef469a80ab3ab5h75000b1fh52e59b03b3c2c92b

#38 - 2023-04-21 16:27 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

195317

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Improves heartbeat stabilityoptimize send boardcast logical. TC-RID: 1201-0206002IssuelD: TS-R-DF-110717Change-1d:
1bf8aad41e1e5f7985a6f8c600046cbd5c7563165

#39 - 2023-04-24 15:33 - IoT scm

2025-07-04
Gerrit Merge Information(

1D Project Branch Uploader
195740 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(Android) - Optimize get server ip function. TC-RID: 1201-0206002IssuelD: TS-R-DF-110717Change-Id:
1b84c4b7755fad760b2e473c6944065c9e905caea

#40 - 2023-04-24 17:01 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
195744 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(iOS) - Fix get app list crash when a mass of apps.Other:1. Improves heartbeat stability;2. Deal send keycode error; TC-RID:
1201-0206002Issuel D: TS-R-DF-110717Change-1d: Ib1a7919392ae001486993619a4d23720ccbea095

#41 - 2023-04-24 20:40 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
195865 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(Android) - When Screen off key command have right resultTC-RID: 1201-02060021ssuelD: TS-R-DF-110717Change-Id:
1c0ce94f9efd155874ba737190cd2bf5405dd26db

#42 - 2023-04-24 20:40 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
195866 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Server - When screen off key command have no right resultTC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-1d:
1b5bc69f3326ef430d2aae44930chdeaf31295¢65

#43 - 2023-04-28 18:16 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader

2025-07-04 10/13



197150 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com

m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(iOS) - Fix get server ip list problem.TC-RID: 1201-0206002IssuelD: TS-R-DF-110717Change-Id:
1d2917fc9ab2bb37d736920121e87225ee5837afd

#44 - 2023-05-04 17:37 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
197417 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-qssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(iOS) - Update version to V1.8TC-RID: 1201-0206002IssuelD: TS-R-DF-110717Change-1d:
127a7f4b7ed7484d14257d7d232eb6ce851a7dd02

#45 - 2023-05-10 16:08 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader
199004 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(Android) - Use TrafficStats to track all network usageTC-RID: 1201-0206002IssuelD: TS-R-DF-110717Change-1d:
10b208c126efdee1c9072c3dac55d212794ee45c0

#46 - 2023-05-23 22:11 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
201819 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(iOS) - Add callback unregister method. TC-RID: 1201-0206003IssuelD: TS-R-DF-110717Change-Id:
12ceaaf6ebcf7af7649997d3e0c13549067f75cdd

#47 - 2023-05-23 22:13 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
202090 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlClients -dev

2025-07-04 11/13




AF:RemoteControl: Client(Android) - Add clear callback methondTC-RID: 1201-0206002IssuelD: TS-R-DF-110717Change-Id:
13b43a8269c369c0edaf95ac2f4adf744ad96f191

#48 - 2023-05-24 14:42 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

202194

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Update version to V2.0TC-RID: 1201-0206003IssuelD: TS-R-DF-110717Change-1d:
16b680dae1cd859e290bfd44ae924ba2add24c91d

#49 - 2023-05-24 14:50 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

202193

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - Update sdk versionTC-RID: 1201-0206002IssuelD: TS-R-DF-110717Change-Id:
135e3385d3659260876802320a5a0e159c4eaaf00

#50 - 2023-05-26 15:00 - 0T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

202816

general/platform/vendor/thundercom
m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - Update version to V2.1TC-RID: 1201-0206002IssuelD: TS-R-DF-110717Change-1d:
1432308cdd636dce0499c696fbcea3de6443726f

#51 - 2023-05-27 16:37 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

203053

general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Server - Error codes that are frequently masked are blocked TC-RID: 1201-0206001IssuelD: TS-R-DF-110717Change-1d:
17042b6f53861bfb59f434eaefdebalfd92dc353c

#52 - 2023-07-06 11:28 - IoT scm

2025-07-04

12/13




Gerrit Merge Information(

1D Project Branch Uploader
211605 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Server - Optimze thread create and Add brightness level update function. TC-RID: 1201-0206001IssuelD: TS-R-DF-110717,
I0VDEV-33499Change-Id: Icdaffd42ca0b91d2816¢7e3596886h2f22805203

#53 - 2023-07-10 17:28 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
213602 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/RemoteControlServer -release_sorp

AF:RemoteControl: Server - Optimze thread create and Add brightness level update function. TC-RID: 1201-0206001IssuelD: TS-R-DF-110717,
|IOVDEV-33499Change-Id: Icdaffd42ca0b91d2816c7e359688602f22805203(cherry picked from commit 8d356b55ff1bc94c22fcf258d9ba0b062087cd83)

#54 - 2023-08-02 09:43 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
219249 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlServer -dev

AF:RemoteControl: Server: remoe brightness keppTC-RID: 1201-0206001IssuelD: TS-R-DF-110717, IOVDEV-37912Change-Id:
1872ade8952ae239e2ce54b0633a5a7f836¢7h806

#55 - 2023-08-04 10:12 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
300130 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
m/apps/RemoteControlServer -release_sorp

AF:RemoteControl: Server: remoe brightness keppTC-RID: 1201-0206001IssuelD: TS-R-DF-110717, IOVDEV-37912Change-Id:
1872ade8952ae239%e2ce54h0633a5a7f836¢7b806(cherry picked from commit cd3694642ce6f74bdcf977¢281d28c0dac8ffd5f)
